commit:     583ffef612c9abd83cea5a1b31fe8dc81f5830d0
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  2 01:00:31 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Apr  3 15:55:17 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=583ffef6

net-analyzer/tcpslice: flag-o-matic--, eautoREconf

Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-analyzer/tcpslice/tcpslice-1.2a_p3_p4.ebuild | 33 ++++++++++++------------
 1 file changed, 17 insertions(+), 16 deletions(-)

diff --git a/net-analyzer/tcpslice/tcpslice-1.2a_p3_p4.ebuild 
b/net-analyzer/tcpslice/tcpslice-1.2a_p3_p4.ebuild
index e988b2260bd..eca9e30b0bd 100644
--- a/net-analyzer/tcpslice/tcpslice-1.2a_p3_p4.ebuild
+++ b/net-analyzer/tcpslice/tcpslice-1.2a_p3_p4.ebuild
@@ -1,36 +1,37 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
-inherit autotools flag-o-matic
+
+inherit autotools
 
 MY_P="${PN}_$(ver_cut 1).$(ver_cut 2-3)$(ver_cut 5)"
 
 DESCRIPTION="Extract and concatenate portions of pcap files"
 HOMEPAGE="http://www.tcpdump.org/ 
https://github.com/the-tcpdump-group/tcpslice";
-LICENSE="BSD"
-SLOT="0"
 SRC_URI="
        mirror://debian/pool/main/${PN:0:1}/${PN}/${MY_P}.orig.tar.gz
        mirror://debian/pool/main/${PN:0:1}/${PN}/${MY_P}-$(ver_cut 
7).debian.tar.gz
 "
+S="${WORKDIR}"/${MY_P/_/-}
+
+LICENSE="BSD"
+SLOT="0"
 KEYWORDS="~amd64 ~ppc x86"
 
-RDEPEND="
-       net-libs/libpcap
-"
-DEPEND="
-       ${RDEPEND}
-"
-S=${WORKDIR}/${MY_P/_/-}
+RDEPEND="net-libs/libpcap"
+DEPEND="${RDEPEND}"
 
 src_prepare() {
-       eapply \
-               "${WORKDIR}"/debian/patches/[0-]* \
-               "${FILESDIR}"/${PN}-1.2a_p3-exit.patch
-       eapply_user
+       eapply "${WORKDIR}"/debian/patches/[0-]*
+       eapply "${FILESDIR}"/${PN}-1.2a_p3-exit.patch
+
+       default
+
        sed -i -e 's|ifndef lint|if 0|g' *.c || die
-       eautoconf
+
+       mv configure.{in,ac} || die
+       eautoreconf
 }
 
 src_install() {

Reply via email to